Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.mediaproxy
Class Echo

    java.lang.Object
      org.jivesoftware.openfire.mediaproxy.Echo

All Implemented Interfaces:
  Runnable

    public class Echo

extends Object
implements Runnable

Constructor Summary
`Echo(int port)`

Method Summary
`void` | `cancel()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Echo

    public Echo(int port)
         throws UnknownHostException,
                SocketException

Throws:
  `UnknownHostException`
  `SocketException`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### cancel

    public void cancel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.